- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Event_Signal_Exit Struct Reference
Ecore » Ecore main loop » Ecore Event functions

A structure that stores information of an Exit request event. More...

## Data Fields
Eina_Bool | interrupt: 1
| Set if the exit request was an interrupt signal.
Eina_Bool | quit: 1
| set if the exit request was a quit signal
Eina_Bool | terminate: 1
| Set if the exit request was a terminate signal.
void * | ext_data
| Extension data - not used.
siginfo_t | data
| Signal info.

## Detailed Description

A structure that stores information of an Exit request event.